mia-2dmyoseries-dice
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dmyoseries-dice

#### Sysnopis:

`mia-2dmyoseries-dice` {-i `string`} [ `options` ...]

#### Description:

This program is used to evaluate the per-frame dice index of segmented regions of an image with respect to the segmentation of a reference frame from the same series.

#### Options:

-i, --input=(input, required); string

  original segmentation set

-k, --skip=2; int

  images to skip atthe bgin of the series

-r, --reference=20; ulong

  reference image

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the dice index of segmentation set segment.set with reference 30 and skipping the first two frames.

    mia-2dmyoseries-dice -i segment.set -r 30 -k 2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoseries-compdice | Home | mia-2dsegcompare